'use strict';

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _ContactQQ = require('../base/ContactQQ.js');

var _ContactQQ2 = _interopRequireDefault(_ContactQQ);

require('./contact-me.scss');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/* eslint-enable */

var ContactMe = _react2.default.createClass({
  displayName: 'ContactMe',

  propTypes: function propTypes() {
    return {
      examinationName: _react2.default.PropTypes.string,
      cdnCommon: _react2.default.PropTypes.string
    };
  },

  getDefaultProps: function getDefaultProps() {
    return {
      examinationName: '',
      cdnCommon: 'http://media8.smartstudy.com'
    };
  },

  getInitialState: function getInitialState() {
    return {
      imgToefl: this.props.cdnCommon + '/common/images/qrcode-beikao-toefl.png',
      imgIelts: this.props.cdnCommon + '/common/images/qrcode-beikao-ielts.png',
      imgSat: this.props.cdnCommon + '/common/images/qrcode-beikao-sat.png',
      imgGre: this.props.cdnCommon + '/common/images/qrcode-beikao-gre.png',
      imgGmat: this.props.cdnCommon + '/common/images/qrcode-beikao-gmat.png',
      imgKaoYan: this.props.cdnCommon + '/common/images/qrcode-beikao-kaoyan.png',
      imgCet4: this.props.cdnCommon + '/common/images/qrcode-beikao-four.png',
      imgCet6: this.props.cdnCommon + '/common/images/qrcode-beikao-six.png',
      imgQQ: this.props.cdnCommon + '/common/images/qrcode-beikao-qq.png'
    };
  },

  render: function render() {
    var contactMeClassName = 'contact-me-content';
    var that = this;
    switch (this.props.examinationName) {
      case 'toefl':
        return _react2.default.createElement(
          'div',
          { className: contactMeClassName },
          _react2.default.createElement(
            'p',
            null,
            '托福逢考必过备考群：',
            _ContactQQ2.default.toefl.qq
          ),
          _react2.default.createElement(
            'div',
            null,
            _react2.default.createElement(
              'p',
              null,
              '扫一扫,入群领资料'
            ),
            _react2.default.createElement('img', { src: that.state.imgToefl, alt: '' })
          ),
          _react2.default.createElement(
            'a',
            { className: 'btn-default', href: _ContactQQ2.default.toefl.href, target: '_blank' },
            '一键加群'
          )
        );
      case 'ielts':
        return _react2.default.createElement(
          'div',
          { className: contactMeClassName },
          _react2.default.createElement(
            'p',
            null,
            '雅思逢考必过备考群：',
            _ContactQQ2.default.ielts.qq
          ),
          _react2.default.createElement(
            'div',
            null,
            _react2.default.createElement(
              'p',
              null,
              '扫一扫,入群领资料'
            ),
            _react2.default.createElement('img', { src: that.state.imgIelts, alt: '' })
          ),
          _react2.default.createElement(
            'a',
            { className: 'btn-default', href: _ContactQQ2.default.ielts.href, target: '_blank' },
            '一键加群'
          )
        );
      case 'sat':
        return _react2.default.createElement(
          'div',
          { className: contactMeClassName },
          _react2.default.createElement(
            'p',
            null,
            'SAT逢考必过备考群：',
            _ContactQQ2.default.sat.qq
          ),
          _react2.default.createElement(
            'div',
            null,
            _react2.default.createElement(
              'p',
              { className: 'obtain-datum' },
              '扫一扫,入群领资料'
            ),
            _react2.default.createElement('img', { src: that.state.imgSat, alt: '' })
          ),
          _react2.default.createElement(
            'a',
            { className: 'btn-default', href: _ContactQQ2.default.sat.href, target: '_blank' },
            '一键加群'
          )
        );
      case 'gre':
        return _react2.default.createElement(
          'div',
          { className: contactMeClassName },
          _react2.default.createElement(
            'p',
            null,
            'GRE逢考必过备考群：',
            _ContactQQ2.default.gre.qq
          ),
          _react2.default.createElement(
            'div',
            null,
            _react2.default.createElement(
              'p',
              null,
              '扫一扫,入群领资料'
            ),
            _react2.default.createElement('img', { src: that.state.imgGre, alt: '' })
          ),
          _react2.default.createElement(
            'a',
            { className: 'btn-default', href: _ContactQQ2.default.gre.href, target: '_blank' },
            '一键加群'
          )
        );
      case 'gmat':
        return _react2.default.createElement(
          'div',
          { className: contactMeClassName },
          _react2.default.createElement(
            'p',
            null,
            'GMAT逢考必过备考群：',
            _ContactQQ2.default.gmat.qq
          ),
          _react2.default.createElement(
            'div',
            null,
            _react2.default.createElement(
              'p',
              null,
              '扫一扫,入群领资料'
            ),
            _react2.default.createElement('img', { src: that.state.imgGmat, alt: '' })
          ),
          _react2.default.createElement(
            'a',
            { className: 'btn-default', href: _ContactQQ2.default.gmat.href, target: '_blank' },
            '一键加群'
          )
        );
      case 'kaoyan':
        return _react2.default.createElement(
          'div',
          { className: contactMeClassName },
          _react2.default.createElement(
            'p',
            null,
            '考研逢考必过备考群：',
            _ContactQQ2.default.kaoyan.qq
          ),
          _react2.default.createElement(
            'div',
            null,
            _react2.default.createElement(
              'p',
              null,
              '扫一扫,入群领资料'
            ),
            _react2.default.createElement('img', { src: that.state.imgKaoYan, alt: '' })
          ),
          _react2.default.createElement(
            'a',
            { className: 'btn-default', href: _ContactQQ2.default.kaoyan.href, target: '_blank' },
            '一键加群'
          )
        );
      case 'cet':
        return _react2.default.createElement(
          'div',
          { className: contactMeClassName },
          _react2.default.createElement(
            'p',
            null,
            '四级逢考必过备考群：',
            _ContactQQ2.default.CET4.qq
          ),
          _react2.default.createElement(
            'a',
            { className: 'btn-default', href: _ContactQQ2.default.CET4.href, target: '_blank' },
            '一键加群'
          ),
          _react2.default.createElement(
            'p',
            null,
            '六级逢考必过备考群：',
            _ContactQQ2.default.CET6.qq
          ),
          _react2.default.createElement(
            'a',
            { className: 'btn-default', href: _ContactQQ2.default.CET6.href, target: '_blank' },
            '一键加群'
          )
        );
      case 'cet4':
        return _react2.default.createElement(
          'div',
          { className: contactMeClassName },
          _react2.default.createElement(
            'p',
            null,
            '四级逢考必过备考群：',
            _ContactQQ2.default.CET4.qq
          ),
          _react2.default.createElement(
            'div',
            null,
            _react2.default.createElement(
              'p',
              null,
              '扫一扫,入群领资料'
            ),
            _react2.default.createElement('img', { src: that.state.imgCet4, alt: '' })
          ),
          _react2.default.createElement(
            'a',
            { className: 'btn-default', href: _ContactQQ2.default.CET4.href, target: '_blank' },
            '一键加群'
          )
        );
      case 'cet6':
        return _react2.default.createElement(
          'div',
          { className: contactMeClassName },
          _react2.default.createElement(
            'p',
            null,
            '六级逢考必过备考群：',
            _ContactQQ2.default.CET6.qq
          ),
          _react2.default.createElement(
            'div',
            null,
            _react2.default.createElement(
              'p',
              null,
              '扫一扫,入群领资料'
            ),
            _react2.default.createElement('img', { src: that.state.imgCet6, alt: '' })
          ),
          _react2.default.createElement(
            'a',
            { className: 'btn-default', href: _ContactQQ2.default.CET6.href, target: '_blank' },
            '一键加群'
          )
        );
      case 'proficiency':
        return _react2.default.createElement(
          'div',
          { className: contactMeClassName },
          _react2.default.createElement(
            'p',
            null,
            '英语能力逢考必过备考群：',
            _ContactQQ2.default.proficiency.qq
          ),
          _react2.default.createElement(
            'a',
            { className: 'btn-default', href: _ContactQQ2.default.proficiency.href, target: '_blank' },
            '一键加群'
          )
        );
      default:
        return _react2.default.createElement(
          'div',
          { className: contactMeClassName },
          _react2.default.createElement(
            'p',
            null,
            '智课网逢考必过总群: ',
            _ContactQQ2.default.zhike.qq
          ),
          _react2.default.createElement(
            'div',
            null,
            _react2.default.createElement(
              'p',
              null,
              '扫一扫,入群领资料'
            ),
            _react2.default.createElement('img', { src: that.state.imgQQ, alt: '' })
          ),
          _react2.default.createElement(
            'a',
            { className: 'btn-default', href: _ContactQQ2.default.zhike.href, target: '_blank' },
            '一键加群'
          )
        );
    }
  }
}); /**
     * Created by xieshanshan on 16/8/18.
     * 频道页增加二维码
     */

module.exports = ContactMe;