'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _LoadingImage = require('../loading-image/LoadingImage.js');

var _LoadingImage2 = _interopRequireDefault(_LoadingImage);

require('./course-item.scss');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/* eslint-enable */

var CourseItem = _react2.default.createClass({
  displayName: 'CourseItem',

  propTypes: {
    smartUrl: _react2.default.PropTypes.string,
    cdnCommon: _react2.default.PropTypes.string,
    cardTag: _react2.default.PropTypes.string,
    router: _react2.default.PropTypes.string,
    id: _react2.default.PropTypes.number,
    mLargeImage: _react2.default.PropTypes.string,
    name: _react2.default.PropTypes.string,
    type: _react2.default.PropTypes.number,
    number: _react2.default.PropTypes.number,
    trailer: _react2.default.PropTypes.shape({
      webm: _react2.default.PropTypes.string,
      mp4: _react2.default.PropTypes.string
    }),
    cntPrice: _react2.default.PropTypes.number,
    price: _react2.default.PropTypes.number,
    orderCount: _react2.default.PropTypes.number,
    openFreeListen: _react2.default.PropTypes.func,
    priceHide: _react2.default.PropTypes.bool
  },

  getDefaultProps: function getDefaultProps() {
    return {
      smartUrl: 'http://www.smartstudy.com',
      cdnCommon: 'http://media8.smartstudy.com',
      cardTag: '111',
      router: '111',
      id: 0,
      mLargeImage: '/media/pic/product/3320237cbb5611e5a85d00163e0053c21452841460695632.jpg',
      name: 'dfdffdf',
      number: 0,
      type: 1,
      trailer: {
        webm: 'dffff',
        mp4: '1111'
      },
      cntPrice: '11',
      price: '22',
      orderCount: '22',
      openFreeListen: function openFreeListen(videoUrl, imageUrl) {
        console.log(videoUrl, imageUrl);
      },
      priceHide: false
    };
  },

  openFreeListen: function openFreeListen(trailer, imageUrl) {
    //eslint-disable-line no-unused-vars
    var that = this;

    return function () {
      if (trailer.webm || trailer.mp4) {
        var videoUrl = [that.props.cdnCommon + trailer.webm, that.props.cdnCommon + trailer.mp4];
        var _imageUrl = that.props.cdnCommon + _imageUrl;
        that.props.openFreeListen(videoUrl, _imageUrl);
      }
    };
  },

  returnPriceHtml: function returnPriceHtml(cntPrice, price) {
    if (this.props.priceHide) {
      return null;
    }

    if (cntPrice === price) {
      return _react2.default.createElement(
        'div',
        { className: 'product-cnt-price' },
        '¥',
        cntPrice
      );
    } else {
      return _react2.default.createElement(
        'div',
        null,
        _react2.default.createElement(
          'div',
          { className: 'product-cnt-price' },
          '¥',
          cntPrice
        ),
        _react2.default.createElement(
          'div',
          { className: 'product-ori-price' },
          '¥',
          price
        )
      );
    }
  },

  returnFreeListen: function returnFreeListen(trailer, img) {
    if (trailer && trailer.mp4) {
      return _react2.default.createElement(
        'div',
        { className: 'play-btn' },
        _react2.default.createElement(
          'a',
          { href: 'javascript:;', onClick: this.openFreeListen(trailer, img) },
          _react2.default.createElement('div', { className: 'free-listen' })
        ),
        _react2.default.createElement(
          'div',
          { className: 'text-h3 free-text' },
          '试播'
        )
      );
    }
  },

  render: function render() {
    var course = this.props;
    var cardTagHtml = course.cardTag ? _react2.default.createElement(
      'span',
      { className: 'course-cardtag' },
      course.cardTag
    ) : '';

    var courseHref = 'javascript:;';
    if (course.type === 1 || course.type === 2 || course.type === 3) {
      courseHref = this.props.smartUrl + '/courses/' + course.router + '/' + course.id + '.html';
    } else if (course.type === 4) {
      var courseHref = this.props.smartUrl + '/corrections';
    } else if (course.type === 5) {
      var courseHref = this.props.smartUrl + '/ctqa/0';
    } else if (course.type === 6) {
      var courseHref = this.props.smartUrl + '/live/' + course.id + '.html';
    }
    return _react2.default.createElement(
      'li',
      { className: 'smart-course-item' },
      _react2.default.createElement(
        'div',
        { className: 'course-item-detail' },
        _react2.default.createElement(
          'a',
          { className: 'course-img', href: courseHref, target: '_blank' },
          _react2.default.createElement(_LoadingImage2.default, { src: this.props.cdnCommon + course.mLargeImage, alt: '', width: '265', height: '144' })
        ),
        _react2.default.createElement(
          'div',
          { className: 'course-item-detail-text' },
          _react2.default.createElement(
            'a',
            { href: courseHref, target: '_blank' },
            _react2.default.createElement(
              'span',
              { className: 'text-h2', title: course.name },
              course.name
            )
          ),
          _react2.default.createElement(
            'p',
            { className: 'text-h3' },
            '课时：',
            course.number || 0,
            '课时'
          ),
          _react2.default.createElement(
            'div',
            { className: 'product-other-detail' },
            cardTagHtml,
            this.returnFreeListen(course.trailer, course.mLargeImage)
          ),
          _react2.default.createElement(
            'div',
            { className: 'course-cover' },
            _react2.default.createElement(
              'div',
              { className: 'prices' },
              this.returnPriceHtml(course.cntPrice, course.price)
            ),
            _react2.default.createElement(
              'p',
              { className: 'text-h3' },
              course.orderCount,
              '人购买过'
            )
          )
        )
      )
    );
  }
}); /**********************************************
     * created by zhangbaige on 2016年4月26日
     * email: zhangbaige@innobuddy.com
     * 课程卡
     **********************************************/
/* eslint-disable */
exports.default = CourseItem;