'use strict';

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

require('./footer.scss');

var _FriendlyLink = require('./FriendlyLink.js');

var _FriendlyLink2 = _interopRequireDefault(_FriendlyLink);

var _AboutUs = require('./AboutUs.js');

var _AboutUs2 = _interopRequireDefault(_AboutUs);

var _FooterText = require('./FooterText.js');

var _FooterText2 = _interopRequireDefault(_FooterText);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// eslint-disable-line no-unused-vars

// eslint-disable-line no-unused-vars
// eslint-disable-line no-unused-vars
var Footer = _react2.default.createClass({
  displayName: 'Footer',

  propTypes: function propTypes() {
    return {
      cdnCommon: PropTypes.string,
      smartUrl: PropTypes.string,
      jobUrl: PropTypes.string,
      vipUrl: PropTypes.string
    };
  },

  getDefaultProps: function getDefaultProps() {
    return {
      cdnCommon: 'http://media8.smartstudy.com',
      smartUrl: 'http://www.smartstudy.com',
      jobUrl: 'http://job.smartstudy.com',
      vipUrl: 'http://vip.smartstudy.com'
    };
  },

  componentDidMount: function componentDidMount() {
    if (this.returnFriendShow()) {
      var that = this;
      if (!this.props.smartApi) {
        return false;
      }
      fetch(this.props.smartApi + '/friend/links').then(function (response) {
        return response.json();
      }).then(function (res) {
        that.setState({
          friendLinksInfo: res.data
        });
      });
    }
  },

  returnFriendShow: function returnFriendShow() {
    if ("undefined" !== typeof window) {
      var pathname = location && location.pathname;
      if (pathname.replace('/', '')) {
        return false;
      }
      return true;
    }
  },

  getInitialState: function getInitialState() {
    return {
      img1: this.props.cdnCommon + '/common/images/brand-honor.jpg',
      img2: this.props.cdnCommon + '/common/images/qrcode-wechatzhikewang.png',
      img3: this.props.cdnCommon + '/common/images/qrcode-weibozhikewang.png',
      img4: this.props.cdnCommon + '/common/images/qrcode-appdownload.png',
      img5: this.props.cdnCommon + '/common/images/qrcode-beikao-qq.png',
      friendLinksInfo: []
    };
  },
  render: function render() {
    var friendlyLinkHtml = null;
    if (this.state.friendLinksInfo) {
      friendlyLinkHtml = _react2.default.createElement(_FriendlyLink2.default, {
        iShow: this.returnFriendShow(),
        links: this.state.friendLinksInfo });
    }
    return _react2.default.createElement(
      'footer',
      { className: 'footer' },
      friendlyLinkHtml,
      _react2.default.createElement(
        'section',
        { className: 'brand-honor' },
        _react2.default.createElement(
          'h3',
          null,
          '品牌荣誉'
        ),
        _react2.default.createElement('img', { src: this.state.img1 })
      ),
      _react2.default.createElement(
        'div',
        { className: 'footer-us' },
        _react2.default.createElement(_AboutUs2.default, {
          img2: this.state.img2,
          img3: this.state.img3,
          img4: this.state.img4,
          img5: this.state.img5,
          smartUrl: this.props.smartUrl,
          jobUrl: this.props.jobUrl,
          vipUrl: this.props.vipUrl }),
        _react2.default.createElement(_FooterText2.default, null)
      )
    );
  }
}); // eslint-disable-line no-unused-vars
/**********************************************
 * created by zhangbaige on 2016年4月26日
 * email: zhangbaige@innobuddy.com
 * 智课网Footer信息
 **********************************************/

module.exports = Footer;