'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends2 = require('babel-runtime/helpers/extends');

var _extends3 = _interopRequireDefault(_extends2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

require('./loading-image.scss');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// import './loadingImage.scss';
/* eslint-enable */

// 因为服务端渲染会先加载<img />
// 所以先不在服务端渲染<img />
// 直到页面上才插入
/**********************************************
 * created by zhangbaige on 2016年4月26日
 * email: zhangbaige@innobuddy.com
 * 图片延迟加载
 **********************************************/
/* eslint-disable */
exports.default = _react2.default.createClass({
  displayName: 'LoadingImage',

  getInitialState: function getInitialState() {
    return {
      mounted: false
    };
  },

  componentDidMount: function componentDidMount() {
    this.setState({
      mounted: true
    });
  },

  generateImage: function generateImage() {
    if (this.state.mounted) {
      var imgLoadHandler = function imgLoadHandler(e) {
        var el = e.target;
        el.classList.add('active');
      };
      return _react2.default.createElement('img', (0, _extends3.default)({}, this.props, {
        className: 'loading-image',
        onLoad: imgLoadHandler }));
    } else {
      return null;
    }
  },

  render: function render() {
    var className = 'loading-image-container ' + (this.props.className ? this.props.className : '');
    var containerStyle = {};
    var loaderStyle = {};
    var containerWidth = this.props.width;
    var containerHeight = this.props.height;
    if (containerWidth || containerHeight) {
      containerStyle = {
        width: containerWidth ? containerWidth : '100%',
        height: containerHeight ? containerHeight : '100%'
      };

      var minLength = Math.min(containerHeight || 0, containerWidth || 0);
      if (!isNaN(minLength)) {
        loaderStyle = {
          fontSize: minLength / 2,
          width: minLength,
          height: minLength / 2,
          marginLeft: -minLength / 2,
          marginTop: -minLength / 4
        };
      }
    }
    return _react2.default.createElement(
      'div',
      { className: className, style: containerStyle },
      this.generateImage(),
      _react2.default.createElement(
        'div',
        { className: 'loading-bg', style: { backgroundColor: this.props.backgroundColor ? this.props.backgroundColor : '#fff' } },
        _react2.default.createElement('i', { className: 'icon_zhike_logo loading-loader', style: loaderStyle })
      )
    );
  }
});