'use strict';

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _componentCookie = require('component-cookie');

var _componentCookie2 = _interopRequireDefault(_componentCookie);

var _reactRouter = require('react-router');

require('./top.scss');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Created by huzhijuan on 16/2/29.
 */
var TopRight = _react2.default.createClass({
  displayName: 'TopRight',

  propTypes: function propTypes() {
    return {
      cdnCommon: _react2.default.PropTypes.string,
      smartUrl: _react2.default.PropTypes.string,
      userCenterApi: _react2.default.PropTypes.string,
      initToken: _react2.default.PropTypes.string,
      group: _react2.default.PropTypes.string,
      from: _react2.default.PropTypes.string
    };
  },

  getDefaultProps: function getDefaultProps() {
    return {
      cdnCommon: 'http://media8.smartstudy.com',
      smartUrl: 'http://www.smartstudy.com',
      userCenterApi: '',
      initToken: 'N0LXYPFL03O4TU2WQEU536NDJR7IJKII',
      group: 'C',
      from: 'pc'
    };
  },

  getInitialState: function getInitialState() {
    return {
      isShow: false,
      coupon: 1,
      uid: '',
      name: '',
      token: '',
      phone: '',
      emailStatus: ''
    };
  },

  handleMouseOver: function handleMouseOver() {
    this.setState({
      isShow: true
    });
    this.handleHide();
  },

  handleMouseLeave: function handleMouseLeave() {
    this.setState({
      isShow: false
    });
  },

  handleHide: function handleHide() {
    this.setState({
      coupon: 0
    });
  },

  componentDidMount: function componentDidMount() {
    //存cookie
    var that = this;
    var ss_user = (0, _componentCookie2.default)('ss_user');
    if (ss_user) {
      var ss_userObj = JSON.parse(ss_user);
      if (ss_userObj.id) {
        fetch(this.props.userCenterApi + '/get/token', {
          method: 'POST',
          headers: {
            'Content-Type': 'application/x-www-form-urlencoded'
          },
          body: 'group:' + this.props.group + '&from=' + this.props.from + '&token=' + that.props.initToken + '&userToken=' + ss_userObj.token
        }).then(function (res) {
          if (res.status == 200) {
            return res.json();
          }
        }).then(function (res) {
          if (res && res.id) {
            that.setState({
              phone: res.phone,
              emailStatus: res.emailStatus,
              name: ss_userObj.name,
              uid: ss_userObj.id
            });
          } else {
            that.signOut();
          }
        });
      }
    }

    this.clearCaptchaTimer = null;
    this.clearCaptchaTimer = setTimeout(function () {
      that.setState({
        coupon: 0
      });
      var name = that.state.uid + 'coupon';

      if ((0, _componentCookie2.default)(name) == 2) {
        (0, _componentCookie2.default)(name, '', { expires: new Date(-1), path: '/' });
      } else if ((0, _componentCookie2.default)(name) == 1) {
        (0, _componentCookie2.default)(name, 3, { expires: new Date(new Date().getTime() + 1000 * 60 * 60 * 24 * 10), path: '/' });
      }
      clearTimeout(that.clearCaptchaTimer);
    }, 5000);
  },

  render: function render() {

    var img2 = this.props.cdnCommon + '/images/cut-off-rule.png';
    var learnImg = this.props.cdnCommon + '/images/sign-learn.png';

    if (this.state.uid && (!this.state.emailStatus || !this.state.phone || this.state.phone == '0')) {
      //未绑定
      var redTip = _react2.default.createElement('span', { className: 'red-tip' });
    } else {
      var redTip = ''; //eslint-disable-line no-redeclare
    }

    if (typeof location === 'undefined') {
      return false;
    }

    if (this.state.uid) {
      var slideShow = this.state.isShow ? { display: 'block' } : { display: 'none' };
      var arrowCn = this.state.isShow ? 'up' : '';
      var loginUserHtml = _react2.default.createElement(
        'div',
        {
          className: 'suc-login',
          onMouseOver: this.handleMouseOver,
          onMouseLeave: this.handleMouseLeave },
        _react2.default.createElement(
          'a',
          { className: 'user-name', href: 'javascript:void(0)' },
          this.state.name,
          ' ',
          redTip,
          _react2.default.createElement('i', { className: arrowCn })
        ),
        _react2.default.createElement(
          'ul',
          { className: 'slide-down', style: slideShow,
            onMouseOver: this.handleMouseOver,
            onMouseLeave: this.handleMouseLeave },
          _react2.default.createElement(
            'li',
            null,
            _react2.default.createElement(
              'a',
              { href: this.props.smartUrl + '/user' },
              '学习中心'
            )
          ),
          _react2.default.createElement(
            'li',
            null,
            _react2.default.createElement(
              'a',
              { href: this.props.smartUrl + '/user/order/2' },
              '我的订单'
            )
          ),
          _react2.default.createElement(
            'li',
            null,
            _react2.default.createElement(
              'a',
              { href: this.props.smartUrl + '/user/balance' },
              '我的账户'
            )
          ),
          _react2.default.createElement(
            'li',
            null,
            _react2.default.createElement(
              'a',
              { href: this.props.smartUrl + '/user/setting' },
              '个人设置'
            )
          ),
          _react2.default.createElement(
            'li',
            null,
            _react2.default.createElement(
              'a',
              { href: 'javascript:;', onClick: this.signOut },
              '退出'
            )
          )
        )
      );
    } else {
      var locationUrl = location.href.split('#')[0];
      var loginUserHtml = _react2.default.createElement(
        'div',
        { className: 'no-login' },
        _react2.default.createElement(
          'a',
          { href: this.props.smartUrl + '/signin?smartRedirect=' + locationUrl, className: 'sigin' },
          '登 录'
        ),
        _react2.default.createElement('img', { src: img2 }),
        _react2.default.createElement(
          'a',
          { href: this.props.smartUrl + '/signup?smartRedirect=' + locationUrl, className: 'reg' },
          '注 册'
        )
      );
    }

    var learningCenterHtml;
    learningCenterHtml = _react2.default.createElement(
      'a',
      { href: this.props.smartUrl + '/user', className: 'learn-center' },
      _react2.default.createElement(
        'svg',
        { width: '16px', height: '16px', viewBox: '0 0 16 16' },
        _react2.default.createElement('path', { 'fill-rule': 'evenodd', fill: '#aaa', d: 'M0,14h16v2H0V14z' }),
        _react2.default.createElement('path', { 'fill-rule': 'evenodd', fill: '#aaa', d: 'M8,4h8v2H8V4z' }),
        _react2.default.createElement('path', { 'fill-rule': 'evenodd', fill: '#aaa', d: 'M4,2H2C0.896,2,0,2.896,0,4v7c0,1.105,0.896,2,2,2h2c1.105,0,2-0.895,2-2V4 C6,2.896,5.105,2,4,2z M4,10c0,0.552-0.448,1-1,1s-1-0.448-1-1V5c0-0.552,0.448-1,1-1s1,0.448,1,1V10z' }),
        _react2.default.createElement('path', { 'fill-rule': 'evenodd', fill: '#aaa', d: 'M14,0h-4C8.896,0,8,0.895,8,2v9c0,1.105,0.896,2,2,2h4c1.105,0,2-0.895,2-2V2 C16,0.895,15.105,0,14,0z M14,9c0,1.105-0.895,2-2,2s-2-0.895-2-2V4c0-1.105,0.895-2,2-2s2,0.895,2,2V9z' })
      ),
      _react2.default.createElement(
        'span',
        { className: 'learn-txt' },
        '学习中心'
      )
    );

    //优惠券
    var couponCenterHtml = null;
    var name = this.state.uid + 'coupon';
    if (this.state.coupon && (0, _componentCookie2.default)(name) == 2) {
      couponCenterHtml = _react2.default.createElement(
        'div',
        { className: 'coupon-scene' },
        _react2.default.createElement(
          'b',
          { className: 'giving-icon' },
          ' '
        ),
        _react2.default.createElement(
          'span',
          { className: 'text' },
          '恭喜你,获得100元代金劵一张'
        )
      );
    }

    if (this.state.coupon && (0, _componentCookie2.default)(name) == 1) {
      couponCenterHtml = _react2.default.createElement(
        'div',
        { className: 'coupon-scene' },
        _react2.default.createElement(
          'a',
          { href: 'javascript:;', className: 'coupone-link', onClick: this.couponLink },
          _react2.default.createElement('b', { className: 'giving-icon' }),
          _react2.default.createElement(
            'span',
            { className: 'text' },
            '完善资料,即可获得100元代金劵一张'
          )
        )
      );
    }

    return _react2.default.createElement(
      'div',
      { className: 's-top-right' },
      learningCenterHtml,
      couponCenterHtml,
      loginUserHtml
    );
  },

  signOut: function signOut() {
    var locationUrl = location.href;
    location.href = this.props.userCenterApi + '/signout?smartRedirect=' + locationUrl;
  },

  couponLink: function couponLink() {
    var name = this.state.uid + 'coupon';
    (0, _componentCookie2.default)(name, 3, { expires: new Date(new Date().getTime() + 1000 * 60 * 60 * 24 * 10), path: '/' });
    location.href = this.props.smartUrl + '/user/account';
  }
});

module.exports = TopRight;