var webpack = require('webpack');
var ENV = process.env.NODE_ENV

var Config = {
  entry: {
    index: __dirname + '/src/index.js',
  },
  output: {
    path: __dirname + '/dist',
    library: 'react.components',
    libraryTarget: 'commonjs2',
    filename: ENV === 'production' ? 'smartcomponents.min.js' : 'smartcomponents.js',
  },
  externals: {
    'react': 'react'
  },
  module: {
    loaders: [{
      test: /\.js$/,
      exclude: /node_modules/,
      loader: 'babel'
    },
    { test: /\.css$/, loader: 'style-loader!css-loader' },
    { test: /\.scss$/, loader: 'style!css!sass'}
    ]
  },
  plugins: [
  ]
};

if (ENV === 'production') {
  Config.plugins.push(new webpack.optimize.UglifyJsPlugin({
    compress: { warnings: false }
  }))
}

module.exports = Config;